-bash: ssh-copy-id: command not found

The first solution :( need yum tool)

yum install -y openssh-clients

:( second solution requires network)

curl -L https://raw.githubusercontent.com/beautifulcode/ssh-copy-id-for-OSX/master/install.sh | sh

A third solution to the above requirements do not have :()

The following two scripts in the same directory, execute this script needs to have sudo privileges or root user to perform

install_ssh-copy-id.sh script
#!/bin/sh
# Installs ssh-copy-id into /usr/local/bin
if [[ $(id -u) != 0 ]]; then
   if command -v sudo >/dev/null 2>&1; then
      SUDO="sudo"
   else
      echo >&2 "Requires sudo but it's not installed. Aborting."
      exit 1
  fi
fi

$SUDO cp ssh-copy-id.sh /usr/local/bin/ssh-copy-id || { echo "Failed to install ssh-copy-id into /usr/local/bin."; exit 1; }
$SUDO chmod +x /usr/local/bin/ssh-copy-id || { echo "Failed to install ssh-copy-id into /usr/local/bin."; exit 1; }

echo "Installed ssh-copy-id into /usr/local/bin."; exit 0;
install_ssh-copy-id.sh
#!/bin/sh

# Shell script to install your public key on a remote machine
# Takes the remote machine name as an argument.
# Obviously, the remote machine must accept password authentication,
# or one of the other keys in your ssh-agent, for this to work.

ID_FILE="${HOME}/.ssh/id_rsa.pub"

if [ "-i" = "$1" ]; then
  shift
  # check if we have 2 parameters left, if so the first is the new ID file
  if [ -n "$2" ]; then
    if expr "$1" : ".*\.pub" > /dev/null ; then
      ID_FILE="$1"
    else
      ID_FILE="$1.pub"
    fi
    shift         # and this should leave $1 as the target name
  fi
else
  if [ x$SSH_AUTH_SOCK != x ] ; then
    GET_ID="$GET_ID ssh-add -L | grep -vxF 'The agent has no identities.'"
  fi
fi

if [ -z "`eval $GET_ID`" ] && [ -r "${ID_FILE}" ] ; then
  GET_ID="cat ${ID_FILE}"
fi

if [ -z "`eval $GET_ID`" ]; then
  echo "$0: ERROR: No identities found" >&2
  exit 1
fi

if [ "$#" -lt 1 ] || [ "$1" = "-h" ] || [ "$1" = "--help" ]; then
  echo "Usage: $0 [-i [identity_file]] [user@]machine" >&2
  exit 1
fi

{ eval "$GET_ID" ; } | ssh $1 "umask 077; test -d .ssh || mkdir .ssh ; cat >> .ssh/authorized_keys; test -x /sbin/restorecon && /sbin/restorecon .ssh .ssh/authorized_keys" || exit 1

cat <<EOF
Now try logging into the machine, with "ssh '$1'", and check in:

  .ssh/authorized_keys

to make sure we haven't added extra keys that you weren't expecting.

EOF

The above two scripts in the same directory, execute this script requires root privileges or sudo

carried out:
 chmod u+x install_ssh-copy-id.sh
carried out:
./install_ssh-copy-id.sh

The second and third in the same way, just download the file to a local, then simply modify the script under
load from: https://www.jianshu.com/p/1af231ff2372

Guess you like

Origin blog.csdn.net/weixin_34146986/article/details/90971433